package sgc.portal.com.com.persistence;

import org.apache.ibatis.annotations.Mapper;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.com.com.dto.ApprovalSearch;
import sgc.portal.com.com.model.Approval;
import java.util.Map;

import java.util.List;

@Mapper
public interface ComApprovalPopMapper {
	
	/*
     * 조회 LIST
     */
    List<EasyHashMap<String, Object>> getList(ApprovalSearch search);
    
	/*
     * 최근결재정보 조회 LIST
     */
    List<EasyHashMap<String, Object>> getList1(ApprovalSearch search);
    
    /*
     * 결재번호채번
     */
    String selectAprvNo();
    
    /*
     * 다음결재자 이메일 확인
     */
    String selectRecvEmail(Approval approval);
    
    /*
     * 상신자 이메일 확인
     */
    String selectRejectEmail(Approval approval);
    
    /*
     * 최초상신자 이메일 확인
     */
    String selectApprovedEmail(Approval approval);
    
    /*
     * 업체 이메일 확인
     */
    String selectRecvCoEmail(Approval approval);
    
    /*
     * 업체 담당자 확인
     */
    String selectRecvUserNm(Approval approval);
    
    /*
     * 작업지시서 정보 확인
     */
    Map<String, String> selectWkiInfo(Approval approval);
    
    /*
     * INSERT
     */
    int insertSmComAprv(Approval approval);
    int insertSmComAprvDtl(Approval approval);
    
    /*
     * UPDATE
     */
    int updateSmComAprv(Approval approval);
    int updateSmComAprvDtl(Approval approval);
    
	/*
     * 최근 결재내역 조회 LIST
     */
    List<EasyHashMap<String, Object>> getLastAprvList(ApprovalSearch search);
}
